aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorShreyas Minocha <shreyasminocha7@gmail.com>2019-07-19 16:08:14 +0000
committerShreyas Minocha <shreyasminocha7@gmail.com>2019-07-19 16:08:14 +0000
commitecc2c046f5c83327f28bb886543b475babfb9473 (patch)
tree10fffeb76242acc98b0010552949d080539e8782
parentFix mach build (diff)
parentMake script comply with the standard bash scripting guidelines (diff)
downloadlibrewolf-linux-ecc2c046f5c83327f28bb886543b475babfb9473.tar.gz
librewolf-linux-ecc2c046f5c83327f28bb886543b475babfb9473.tar.bz2
librewolf-linux-ecc2c046f5c83327f28bb886543b475babfb9473.zip
Merge branch 'toggle_settings' into 'master'
Make script comply with the standard bash scripting guidelines See merge request librewolf-community/librewolf!3
-rw-r--r--settings/toggle-settings.sh28
1 files changed, 15 insertions, 13 deletions
diff --git a/settings/toggle-settings.sh b/settings/toggle-settings.sh
index 8a7b30a..ff46bde 100644
--- a/settings/toggle-settings.sh
+++ b/settings/toggle-settings.sh
@@ -1,19 +1,21 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+# Exit script with a non-zero exit code if:
+# - any command fails (-e | --errexit)
+# - any variable is unset (-u | --nounset)
+# - a part of a piped sequence fails (-o pipefail)
+set -euo pipefail
SCRIPT_FOLDER=$(realpath $(dirname $0));
# Enable settings ------------------------------------------------------------------------------------------
-if [ "$1" = "--enable" ]; then
- mv $SCRIPT_FOLDER/"[DISABLED] local-settings.js" $SCRIPT_FOLDER/local-settings.js;
- mv $SCRIPT_FOLDER/"[DISABLED] policies.json" $SCRIPT_FOLDER/policies.json;
- mv $SCRIPT_FOLDER/"[DISABLED] librewolf.cfg" $SCRIPT_FOLDER/librewolf.cfg;
-fi
-
+if [[ "${1}" = "--enable" ]]; then
+ mv "${SCRIPT_FOLDER}/[DISABLED] local-settings.js" "${SCRIPT_FOLDER}/local-settings.js";
+ mv "${SCRIPT_FOLDER}/[DISABLED] policies.json" "${SCRIPT_FOLDER}/policies.json";
+ mv "${SCRIPT_FOLDER}/[DISABLED] librewolf.cfg" "${SCRIPT_FOLDER}/librewolf.cfg";
# Disable settings ------------------------------------------------------------------------------------------
-if [ "$1" = "--disable" ]; then
- mv $SCRIPT_FOLDER/local-settings.js $SCRIPT_FOLDER/"[DISABLED] local-settings.js";
- mv $SCRIPT_FOLDER/policies.json $SCRIPT_FOLDER/"[DISABLED] policies.json";
- mv $SCRIPT_FOLDER/librewolf.cfg $SCRIPT_FOLDER/"[DISABLED] librewolf.cfg" ;
+elif [[ "${1}" = "--disable" ]]; then
+ mv "${SCRIPT_FOLDER}/local-settings.js" "${SCRIPT_FOLDER}/[DISABLED] local-settings.js";
+ mv "${SCRIPT_FOLDER}/policies.json" "${SCRIPT_FOLDER}/[DISABLED] policies.json";
+ mv "${SCRIPT_FOLDER}/librewolf.cfg" "${SCRIPT_FOLDER}/[DISABLED] librewolf.cfg";
fi
-
-
bgstack15